#
# User Filter Automake file
#


AM_LFLAGS=-Cem
AM_YFLAGS=-d

pluginlibdir = $(programplugindir)/plug-ins

pluginlib_PROGRAMS = user_filter

user_filter_SOURCES = \
	uf_lexer.l \
	uf_parser.y \
	uf_eval.c \
	uf_file.c \
	uf_gui.c \
	uf_main.c \
	uf_main.h \
	uf_eval.h \
	uf_file.h \
	uf_gui.h \
	uf_parser.h \
	uf_interface.h

filterdir = .

INCLUDES = \
	$(X_CFLAGS)			\
	-I$(top_srcdir)			\
	-I$(includedir)

LDADD = \
	$(top_builddir)/lib/libcinepaint.la	\
	$(X_LIBS)				\
	$(LEXLIB)


DEPS = $(top_builddir)/lib/libcinepaint.la

user_filter_DEPENDENCIES = $(DEPS)

user_filter_DATA = AndrewsFilters.ffl

##INCLUDES = \
##	$(CFLAGS) \
##        $(GTK_CFLAGS)

##LDADD = \
##	$(top_builddir)/lib/libcinepaint.la	\
##        $(GTK_LIBS) \
##	$(LEXLIB)
